<?php
/**
* @package Mambo Open Source
* @subpackage Mambots
* @copyright (C) 2005 - 2006 Mambo Foundation Inc.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
*
* Mambo was originally developed by Miro (www.miro.com.au) in 2000. Miro assigned the copyright in Mambo to The Mambo Foundation in 2005 to ensure
* that Mambo remained free Open Source software owned and managed by the community.
* Mambo is Free Software
*/ 

class TOOLBAR_modules {
    /**
	* Draws the menu for Editing an existing module
	*/
    function _EDIT() {
        global $id;

        mosMenuBar::startTable();
        mosMenuBar::save();
        mosMenuBar::spacer();
        mosMenuBar::apply();
        mosMenuBar::spacer();
        if ( $id ) {
            // for existing content items the button is renamed `close`
            mosMenuBar::cancel( 'cancel', T_('Close') );
        } else {
            mosMenuBar::cancel();
        }
        mosMenuBar::spacer();
        if ($GLOBALS['task'] == 'new') {
            mosMenuBar::help( 'new' );
        } else {
            if ($_POST) {
                $cid = (int) $GLOBALS['cid'][0];
            } else {
                $cid = (int) $_GET['id'];
            }
            $database =& mamboDatabase::getInstance();
            $database->setQuery('select element from #__mambots where id = '.$cid);
            $result = $database->loadResult();
            mosMenuBar::help( $result ? $result : 'edit' );
        }
        mosMenuBar::endTable();
    }

    function _DEFAULT() {
        mosMenuBar::startTable();
        mosMenuBar::publishList();
        mosMenuBar::spacer();
        mosMenuBar::unpublishList();
        mosMenuBar::spacer();
        mosMenuBar::addNewX();
        mosMenuBar::spacer();
        mosMenuBar::editListX();
        mosMenuBar::spacer();
        mosMenuBar::deleteList();
        mosMenuBar::spacer();
        mosMenuBar::help( 'manager' );
        mosMenuBar::endTable();
    }
}
?>
